Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.dom.events
Class EventImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.events.EventImpl

Direct Known Subclasses:
  MutationEventImpl

public class EventImpl
extends java.lang.Object
implements org.w3c.dom.events.Event

EventImpl is an implementation of the basic "generic" DOM Level 2 Event object. It may be subclassed by more specialized event sets. Note that in our implementation, events are re-dispatchable (dispatch clears the stopPropagation and preventDefault flags before it starts); I believe that is the DOM's intent but I don't see an explicit statement to this effect.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Field Summary
`boolean` | `bubbles`
`boolean` | `cancelable`
`org.w3c.dom.events.EventTarget` | `currentTarget`
`short` | `eventPhase`
`boolean` | `initialized`
`boolean` | `preventDefault`
`boolean` | `stopPropagation`
`org.w3c.dom.events.EventTarget` | `target`
`protected long` | `timeStamp`
`java.lang.String` | `type`

Constructor Summary
`EventImpl()`

Method Summary
`boolean` | `getBubbles()`
`boolean` | `getCancelable()`
`org.w3c.dom.events.EventTarget` | `getCurrentTarget()`
`short` | `getEventPhase()`
`org.w3c.dom.events.EventTarget` | `getTarget()`
`long` | `getTimeStamp()`
`java.lang.String` | `getType()`
`void` | `initEvent(java.lang.String eventTypeArg, boolean canBubbleArg, boolean cancelableArg)` The DOM doesn't deal with constructors, so instead we have an initializer call to set most of the read-only fields.
`void` | `preventDefault()` Prevents any default processing built into the target node from occurring.
`void` | `stopPropagation()` Causes exit from in-progress event dispatch before the next currentTarget is selected.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    public java.lang.String type

### target

    public org.w3c.dom.events.EventTarget target

### currentTarget

    public org.w3c.dom.events.EventTarget currentTarget

### eventPhase

    public short eventPhase

### initialized

    public boolean initialized

### bubbles

    public boolean bubbles

### cancelable

    public boolean cancelable

### stopPropagation

    public boolean stopPropagation

### preventDefault

    public boolean preventDefault

### timeStamp

    protected long timeStamp

Constructor Detail

### EventImpl

    public EventImpl()

Method Detail

### initEvent

    public void initEvent(java.lang.String eventTypeArg,
                          boolean canBubbleArg,
                          boolean cancelableArg)

  The DOM doesn't deal with constructors, so instead we have an initializer call to set most of the read-only fields. The others are set, and reset, by the event subsystem during dispatch.

  Note that init() -- and the subclass-specific initWhatever() calls -- may be reinvoked. At least one initialization is required; repeated initializations overwrite the event with new values of their parameters.

  Specified by:
    initEvent in interface org.w3c.dom.events.Event

### getBubbles

    public boolean getBubbles()

  Specified by:
    getBubbles in interface org.w3c.dom.events.Event

  Returns:
    true iff this Event is of a class and type which supports bubbling. In the generic case, this is True.

### getCancelable

    public boolean getCancelable()

  Specified by:
    getCancelable in interface org.w3c.dom.events.Event

  Returns:
    true iff this Event is of a class and type which (a) has a Default Behavior in this DOM, and (b)allows cancellation (blocking) of that behavior. In the generic case, this is False.

### getCurrentTarget

    public org.w3c.dom.events.EventTarget getCurrentTarget()

  Specified by:
    getCurrentTarget in interface org.w3c.dom.events.Event

  Returns:
    the Node (EventTarget) whose EventListeners are currently being processed. During capture and bubble phases, this may not be the target node.

### getEventPhase

    public short getEventPhase()

  Specified by:
    getEventPhase in interface org.w3c.dom.events.Event

  Returns:
    the current processing phase for this event -- CAPTURING_PHASE, AT_TARGET, BUBBLING_PHASE. (There may be an internal DEFAULT_PHASE as well, but the users won't see it.)

### getTarget

    public org.w3c.dom.events.EventTarget getTarget()

  Specified by:
    getTarget in interface org.w3c.dom.events.Event

  Returns:
    the EventTarget (Node) to which the event was originally dispatched.

### getType

    public java.lang.String getType()

  Specified by:
    getType in interface org.w3c.dom.events.Event

  Returns:
    event name as a string

### getTimeStamp

    public long getTimeStamp()

  Specified by:
    getTimeStamp in interface org.w3c.dom.events.Event

### stopPropagation

    public void stopPropagation()

  Causes exit from in-progress event dispatch before the next currentTarget is selected. Replaces the preventBubble() and preventCapture() methods which were present in early drafts; they may be reintroduced in future levels of the DOM.
  Specified by:
    stopPropagation in interface org.w3c.dom.events.Event

### preventDefault

    public void preventDefault()

  Prevents any default processing built into the target node from occurring.
  Specified by:
    preventDefault in interface org.w3c.dom.events.Event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference